edu.sc.seis.sod.subsetter

## Class RangeSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.RangeSubsetter

- Direct Known Subclasses:
    AzimuthRange, BackAzimuthRange, LatitudeRange, LongitudeRange, MagnitudeRange, OrientationAzimuthRange, OrientationDipRange, Sampling

      public class RangeSubsetter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_MAX`
    `static double` | `DEFAULT_MIN`
    `protected double` | `max`
    `protected double` | `min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeSubsetter()`
    `RangeSubsetter(org.w3c.dom.Element config)`
    `RangeSubsetter(org.w3c.dom.Element config, double defaultMin, double defaultMax)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(double value)`
    `boolean` | `acceptMax(double value)`
    `boolean` | `acceptMin(double value)`
    `double` | `getMaxValue()`
    `double` | `getMinValue()`
    `protected void` | `parseConfig(org.w3c.dom.Element config)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MIN

          public static final double DEFAULT_MIN

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX

          public static final double DEFAULT_MAX

      See Also:
        Constant Field Values

    - #### min

          protected double min

    - #### max

          protected double max

  - ### Constructor Detail

    - #### RangeSubsetter

          public RangeSubsetter()

    - #### RangeSubsetter

          public RangeSubsetter(org.w3c.dom.Element config)

    - #### RangeSubsetter

          public RangeSubsetter(org.w3c.dom.Element config,
                                double defaultMin,
                                double defaultMax)

  - ### Method Detail

    - #### parseConfig

          protected void parseConfig(org.w3c.dom.Element config)

    - #### accept

          public boolean accept(double value)

    - #### acceptMin

          public boolean acceptMin(double value)

    - #### acceptMax

          public boolean acceptMax(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMinValue

          public double getMinValue()

    - #### getMaxValue

          public double getMaxValue()